/*
 * Copyright (c) 2015 by inovat, innovative systeme - verkehr - tunnel - technik, Dipl.-Ing. H. C. Kniss
 *
 * This file is part of de.bsvrz.kex.tls.osi7.DeTest
 *
 * de.bsvrz.kex.tls.osi7.DeTest is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  de.bsvrz.kex.tls.osi7.DeTest is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with de.bsvrz.kex.tls.osi7.DeTest.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Diese Datei ist Teil von de.bsvrz.kex.tls.osi7.DeTest.
 *
 *  de.bsvrz.kex.tls.osi7.DeTest ist Freie Software: Sie knnen es unter den Bedingungen
 *  der GNU General Public License, wie von der Free Software Foundation,
 *  Version 3 der Lizenz oder (nach Ihrer Wahl) jeder spteren
 *  verffentlichten Version, weiterverbreiten und/oder modifizieren.
 *
 *  de.bsvrz.kex.tls.osi7.DeTest wird in der Hoffnung, dass es ntzlich sein wird, aber
 *  OHNE JEDE GEWHRLEISTUNG, bereitgestellt; sogar ohne die implizite
 *  Gewhrleistung der MARKTFHIGKEIT oder EIGNUNG FR EINEN BESTIMMTEN ZWECK.
 *  Siehe die GNU General Public License fr weitere Details.
 *
 *  Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
 *  Programm erhalten haben. Wenn nicht, siehe <http://www.gnu.org/licenses/>.
 *
 * Contact Information:
 * inovat, Dipl.-Ing. H. C. Kniss
 * An der Krautwiese 37
 * D-53783 Eitorf
 * +49 (0)2243 8464 193
 * info@inovat.de
 * www.inovat.de
 */

package de.bsvrz.kex.tls.osi7;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

/**
 * De Testklasse.
 * <p/>
 * DOC: Langbeschreibung.
 *
 * @author inovat, innovative systeme - verkehr - tunnel - technik
 * @author Dipl.-Ing. Hans Christian Kni (HCK)
 * @version $Revision$ / $Date$ / ($Author$)
 */
public class DeTest extends TestCase {
	public DeTest(String name) {
		super(name);
	}

	public void setUp() throws Exception {
		super.setUp();
	}

	public void tearDown() throws Exception {
		super.tearDown();
	}

	public static Test suite() {
		return new TestSuite(DeTest.class);
	}

//	public void testInstallationKonvertierungsModulVorDerAenderung() {
//
//		try {
//			new De("", 0, 0, false, 1, "kex.tls.osi7.conversion.FgTestDefault");
//		}
//		catch (Exception e) {
//			assertEquals("Klasse wird nicht gefunden", "java.lang.ClassNotFoundException: kex.tls.osi7.conversion.FgTestDefault", e.getMessage());
//		}
//
//		try {
//			new De("", 0, 0, false, 0, "de.bsvrz.kex.tls.osi7.conversion.FgTestDefault");
//		}
//		catch (Exception e) {
//			assertEquals("Klasse wird gefunden, aber Konstuktor passt nicht.", "java.lang.reflect.InvocationTargetException", e.getMessage());
//		}
//
//	}

	public void testInstallationKonvertierungsModulNachDerAenderung() {

		try {
			new De("", 0, 0, false, 1, "kex.tls.osi7.conversion.FgTestDefault");
		}
		catch (Exception e) {
			assertEquals("Klasse wird gefunden, aber Konstuktor passt nicht.", "java.lang.reflect.InvocationTargetException", e.getMessage());
		}

		try {
			new De("", 0, 0, false, 0, "de.bsvrz.kex.tls.osi7.conversion.FgTestDefault");
		}
		catch (Exception e) {
			assertEquals("Klasse wird gefunden, aber Konstuktor passt nicht.", "java.lang.reflect.InvocationTargetException", e.getMessage());
		}

		try {
			new De("", 0, 0, false, 1, "kex.tls.osi7.FgTestDefault");
		}
		catch (Exception e) {
			assertEquals("Klasse wird nicht gefunden", "java.lang.ClassNotFoundException: kex.tls.osi7.FgTestDefault", e.getMessage());
		}

		try {
			new De("", 0, 0, false, 1, "kexXtls.osi7.conversion.FgTestDefault");
		}
		catch (Exception e) {
			assertEquals("Klasse wird nicht gefunden", "java.lang.ClassNotFoundException: kexXtls.osi7.conversion.FgTestDefault", e.getMessage());
		}


	}

}
